#!/bin/bash

# MiniBatteryStatus widget
#
# © 2005-2008 Claudio Procida. All rights reserved.
# http://www.emeraldion.it
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Bug fixes, suggestions and comments should be sent to:
# claudio@emeraldion.it
#

if [[ $1 = start ]]; then
	echo "Starting battd server"
	bin/battd
	exit 0
else
	if [[ $1 = stop ]]; then
		echo "Stopping battd server"
		if [ -e /var/tmp/battd.pid ]; then
			kill `cat /var/tmp/battd.pid`
			exit 0
		else
			echo "*** Error *** battd server is not running"
			exit 1
		fi
	else
		echo "usage"
		exit 1
	fi
fi